src_dir=`pwd`

.PHONY: all clean

all: omcLib_all smeg_all sysStat_all ftp_all cdrCollector_all ftpsend_all nrtrde_all \
	sftpSend_all smcli_all subsComm_all subsDataBackup_all wsms_all paraComm_all \
	alarmAgent_all alarmGenerator_all beatProc_all beatSend_all dualsrv_all logCollector_all \
	cstaCollector_all omcCleaner_all raidAgent_all omcMain_all

clean: omcLib_clean smeg_clean sysStat_clean ftp_clean cdrCollector_clean ftpsend_clean nrtrde_clean \
	sftpSend_clean smcli_clean subsComm_clean subsDataBackup_clean wsms_clean paraComm_clean \
	alarmAgent_clean alarmGenerator_clean beatProc_clean beatSend_clean dualsrv_clean logCollector_clean \
	cstaCollector_clean omcCleaner_clean raidAgent_clean omcMain_clean

omcLib_all:
	$(MAKE) -C omcLib/c_program/omcLib linuxES

smeg_all:
	$(MAKE) -C smeg linuxES

sysStat_all:
	$(MAKE) -C faultMgr/c_program/sysStat linuxES

ftp_all: 
	$(MAKE) -C omcLib/c_program/ftp installbin

cdrCollector_all: 
	$(MAKE) -C accountMgr/c_program/cdrCollector installbin

ftpsend_all: 
	$(MAKE) -C accountMgr/c_program/ftpsend installbin 

nrtrde_all:
	$(MAKE) -C accountMgr/c_program/nrtrde installbin 

sftpSend_all:	
	$(MAKE) -C accountMgr/c_program/sftpSend installbin 

smcli_all:
	$(MAKE) -C accountMgr/c_program/smcli installbin 

subsComm_all:
	$(MAKE) -C accountMgr/c_program/subsComm installbin 

subsDataBackup_all:
	$(MAKE) -C accountMgr/c_program/subsDataBackup installbin 

wsms_all:
	$(MAKE) -C accountMgr/c_program/wsms installbin 

paraComm_all:
	$(MAKE) -C configMgr/c_program/paraComm installbin 

alarmAgent_all:
	$(MAKE) -C faultMgr/c_program/alarmAgent installbin 

alarmGenerator_all:
	$(MAKE) -C faultMgr/c_program/alarmGenerator installbin 

beatProc_all:
	$(MAKE) -C faultMgr/c_program/beatProc installbin 

beatSend_all:
	$(MAKE) -C faultMgr/c_program/beatSend installbin 

dualsrv_all:
	$(MAKE) -C faultMgr/c_program/dualsrv installbin 

logCollector_all:
	$(MAKE) -C performanceMgr/c_program/logCollector installbin 

cstaCollector_all:
	$(MAKE) -C performanceMgr/c_program/cstaCollector installbin 

omcCleaner_all:
	$(MAKE) -C securityMgr/c_program/omcCleaner installbin 

raidAgent_all:
	$(MAKE) -C faultMgr/c_program/raidAgent installbin 

omcMain_all:
	$(MAKE) -C omcMain/c_program/omcMain installbin

# module clean
omcLib_clean:
	$(MAKE) -C omcLib/c_program/omcLib clean

smeg_clean:
	$(MAKE) -C smeg clean

sysStat_clean:
	$(MAKE) -C faultMgr/c_program/sysStat clean

ftp_clean: 
	$(MAKE) -C omcLib/c_program/ftp clean

cdrCollector_clean: 
	$(MAKE) -C accountMgr/c_program/cdrCollector clean

ftpsend_clean: 
	$(MAKE) -C accountMgr/c_program/ftpsend clean 

nrtrde_clean:
	$(MAKE) -C accountMgr/c_program/nrtrde clean 

sftpSend_clean:	
	$(MAKE) -C accountMgr/c_program/sftpSend clean 

smcli_clean:
	$(MAKE) -C accountMgr/c_program/smcli clean 

subsComm_clean:
	$(MAKE) -C accountMgr/c_program/subsComm clean 

subsDataBackup_clean:
	$(MAKE) -C accountMgr/c_program/subsDataBackup clean 

wsms_clean:
	$(MAKE) -C accountMgr/c_program/wsms clean 

paraComm_clean:
	$(MAKE) -C configMgr/c_program/paraComm clean 

alarmAgent_clean:
	$(MAKE) -C faultMgr/c_program/alarmAgent clean 

alarmGenerator_clean:
	$(MAKE) -C faultMgr/c_program/alarmGenerator clean 

beatProc_clean:
	$(MAKE) -C faultMgr/c_program/beatProc clean 

beatSend_clean:
	$(MAKE) -C faultMgr/c_program/beatSend clean 

dualsrv_clean:
	$(MAKE) -C faultMgr/c_program/dualsrv clean 

logCollector_clean:
	$(MAKE) -C performanceMgr/c_program/logCollector clean 

cstaCollector_clean:
	$(MAKE) -C performanceMgr/c_program/cstaCollector clean 

omcCleaner_clean:
	$(MAKE) -C securityMgr/c_program/omcCleaner clean 

raidAgent_clean:
	$(MAKE) -C faultMgr/c_program/raidAgent clean 

omcMain_clean:
	$(MAKE) -C omcMain/c_program/omcMain clean


